Page MenuHomePhabricator

New SCB nodes
Closed, DeclinedPublic

Description

We've got a little extra hardware budget to use up before the end of the FY. T166341 should be the priority, but if there is still a remainder from that, or getting SSDs in our timeline isn't possible, then we'd like to purchase more nodes for the scb cluster.

Currently, eventbus is colocated with the main Kafka brokers. It would be nice to move it to a more services oriented cluster and off of the Kafka brokers. Expanding scb would give us a nice place to put eventbus. The scb nodes should also be useable for Kubernetes in the future, so purchasing more of these now can't hurt.

A recent scb expansion was made as part of T156631. New scb nodes should have the same profile.

Event Timeline

Ottomata created this task.May 25 2017, 8:27 PM
Restricted Application added a project: Analytics. · View Herald TranscriptMay 25 2017, 8:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ottomata removed a subscriber: Joe.
Restricted Application added a project: Analytics. · View Herald TranscriptMay 25 2017, 8:27 PM
RobH added a comment.May 25 2017, 8:41 PM
This comment was removed by RobH.
RobH added a comment.EditedMay 25 2017, 8:45 PM

I'll create a procurement task and get a quote update on it.

As for the mentioned SSD task T166341, that won't be able to happen within a month, due to the SSD shortage.

Restricted Application added a project: Operations. · View Herald TranscriptMay 25 2017, 8:45 PM

Robh, let's aim for +3 scb nodes in each DC. So +6 nodes total.

FYI, this expansion will also come in handy for the new service being developed by the Research team - the Recommendation-API service.

Ottomata triaged this task as High priority.May 29 2017, 2:33 PM
Ottomata lowered the priority of this task from High to Normal.
Nuria moved this task from Incoming to Radar on the Analytics board.May 29 2017, 3:26 PM
RobH claimed this task.May 30 2017, 4:47 PM
RobH mentioned this in Unknown Object (Task).
RobH added a subtask: Unknown Object (Task).

Please note that the specifications for this hardware are identical to the spare pool with 4 * 4TB SATA, projected for possible purchase on T166265. I've updated that task to include these hosts.

After talking with Faidon, this order should no longer happen this quarter. New scb nodes are budgeted for next FY, and lated to be purchased in Q3. It is unlikely that these nodes will be needed before then.

Ottomata closed this task as Declined.May 30 2017, 4:49 PM

I'm inclined to decline this task. We can create a new on in Q3 when it is time to order these.

faidon closed subtask Unknown Object (Task) as Resolved.Jul 12 2017, 7:31 AM